{
  "name": "us-power-plant-map-backend",
  "version": "1.0.0",
  "description": "US Power Plant Rest API Backend",
  "main": "index.js",
  "scripts": {
    "test": "npx jest",
    "start": "npm run start:dev",
    "start:dev": "nodemon --delay 500ms",
    "start:prod": "npm run build && node dist/src/server.js",
    "build": "npx tsc"
  },
  "jest": {
    "transform": {
      "^.+\\.tsx?$": "ts-jest"
    },
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js",
      "jsx",
      "json"
    ],
    "testMatch": ["**/tests/**/*.ts?(x)"]
  },
  "keywords": [],
  "author": "Yuvaraj Sanjeevi",
  "license": "ISC",
  "dependencies": {
    "config": "^3.3.7",
    "convert-excel-to-json": "^1.7.0",
    "cors": "^2.8.5",
    "dotenv": "^16.0.0",
    "express": "^4.17.3",
    "jest": "^27.5.1",
    "lodash": "^4.17.21",
    "mongoose": "^6.2.8",
    "pino": "^7.9.2",
    "pino-pretty": "^7.6.0",
    "supertest": "^6.2.2",
    "uuid": "^8.3.2",
    "zod": "^3.14.2"
  },
  "devDependencies": {
    "@types/config": "^0.0.41",
    "@types/convert-excel-to-json": "^1.7.1",
    "@types/cors": "^2.8.12",
    "@types/express": "^4.17.13",
    "@types/jest": "^27.4.1",
    "@types/lodash": "^4.14.180",
    "@types/node": "^17.0.23",
    "@types/supertest": "^2.0.12",
    "@types/uuid": "^8.3.4",
    "nodemon": "^2.0.15",
    "ts-jest": "^27.1.4",
    "ts-node": "^10.7.0",
    "typescript": "^4.6.3"
  }
}
